---
title: 'Window: transitionrun event'
slug: Web/API/Window/transitionrun_event
tags:
  - API
  - Reference
  - Web
  - Window
  - events
  - transitionrun
---
<div>{{APIRef}} {{SeeCompatTable}}</div>

<p>The <strong><code>transitionrun</code></strong> event is fired when a <a href="/en-US/docs/CSS/Using_CSS_transitions">CSS transition</a> is first created, i.e. before any {{cssxref("transition-delay")}} has begun.</p>

<table class="properties">
 <tbody>
  <tr>
   <th>Bubbles</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th>Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th>Interface</th>
   <td>{{domxref("TransitionEvent")}}</td>
  </tr>
  <tr>
   <th>Event handler property</th>
   <td><code><a href="/en-US/docs/Web/API/GlobalEventHandlers/ontransitionrun">ontransitionrun</a></code></td>
  </tr>
 </tbody>
</table>

<p>The original target for this event is the <code><a href="/en-US/docs/Web/API/Element">Element</a></code> that had the transition applied. You can listen for this event on the <code>Window</code> interface to handle it in the capture or bubbling phases. For full details on this event please see the page on <a href="/en-US/docs/Web/API/HTMLElement/transitionrun_event">HTMLElement: transitionrun</a>.</p>

<h2 id="Examples">Examples</h2>

<p>This code adds a listener to the <code>transitionrun</code> event:</p>

<pre class="brush: js">window.addEventListener('transitionrun', () =&gt; {
  console.log('Transition is running but hasn't necessarily started transitioning yet');
});</pre>

<p>The same, but using the <code><a href="/en-US/docs/Web/API/GlobalEventHandlers/ontransitionrun">ontransitionrun</a></code> property instead of <code>addEventListener()</code>:</p>

<pre class="brush: js">window.ontransitionrun = () =&gt; {
  console.log('Transition started running');
};</pre>

<p><a href="/en-US/docs/Web/API/HTMLElement/transitionrun_event#Live_example">See a live example of this event.</a></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Transitions', '#transitionrun', 'transitionrun')}}</td>
   <td>{{Spec2('CSS3 Transitions')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.transitionrun_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("GlobalEventHandlers.ontransitionrun")}} event handler</li>
 <li>The {{domxref("TransitionEvent")}} interface</li>
 <li>CSS properties: {{cssxref("transition")}}, {{cssxref("transition-delay")}}, {{cssxref("transition-duration")}}, {{cssxref("transition-property")}}, {{cssxref("transition-timing-function")}}</li>
 <li>Related events: <code><a href="/en-US/docs/Web/API/Window/transitionend_event">transitionend</a></code>, <code><a href="/en-US/docs/Web/API/Window/transitionstart_event">transitionstart</a></code>, <code><a href="/en-US/docs/Web/API/Window/transitioncancel_event">transitioncancel</a></code></li>
 <li>This event on <code><a href="/en-US/docs/Web/API/HTMLElement">HTMLElement</a></code> targets: <code><a href="/en-US/docs/Web/API/HTMLElement/transitionrun_event">transitionrun</a></code></li>
 <li>This event on <code><a href="/en-US/docs/Web/API/Document">Document</a></code> targets: <code><a href="/en-US/docs/Web/API/Document/transitionrun_event">transitionrun</a></code></li>
</ul>
